( function ( $ ) {
	'use strict';

	// Handle notice dismiss button click
	$( document ).on( 'click', '.notice-info .notice-dismiss', function () {
		var type = $( this ).closest( '.notice-info' ).data( 'notice' );
		if ( ! type ) {
			return;
		}
		$.ajax( {
			type: 'POST',
			url: ovation_blog_localize.ajax_url,
			data: {
				action: 'ovation_blog_dismissed_notice_handler',
				type: type,
				wpnonce: ovation_blog_localize.dismiss_nonce
			}
		} );
	} );

} )( jQuery );